Name:           python-pyautd3
Version:        32.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        AUTD3 library wrapper for python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/shinolab/pyautd3.git
Source:         %{pypi_source pyautd3}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyautd3' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyautd3
Summary:        %{summary}

%description -n python3-pyautd3 %_description


%prep
%autosetup -p1 -n pyautd3-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyautd3 -f %{pyproject_files}


%changelog
%autochangelog